XCB 1.16

Data Fields
xcb_generic_error_t Struct Reference
XCB Core API

Generic error. More...

`#include <xcb.h>`

## Data Fields
uint8_t | response_type
uint8_t | error_code
uint16_t | sequence
uint32_t | resource_id
uint16_t | minor_code
uint8_t | major_code
uint8_t | pad0
uint32_t | pad [5]
uint32_t | full_sequence

## Detailed Description

Generic error.

A generic error structure.

## Field Documentation

## ◆ error_code

uint8_t xcb_generic_error_t::error_code

Error code

## ◆ full_sequence

uint32_t xcb_generic_error_t::full_sequence

full sequence

## ◆ major_code

uint8_t xcb_generic_error_t::major_code

< Minor opcode of the failed request

## ◆ minor_code

uint16_t xcb_generic_error_t::minor_code

< Resource ID for requests with side effects only

## ◆ pad

uint32_t xcb_generic_error_t::pad[5]

Padding

## ◆ pad0

uint8_t xcb_generic_error_t::pad0

< Major opcode of the failed request

## ◆ response_type

uint8_t xcb_generic_error_t::response_type

Type of the response

## ◆ sequence

uint16_t xcb_generic_error_t::sequence

Sequence number

The documentation for this struct was generated from the following file:

- xcb.h